<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="hsdataplatform:war" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="90014a4c-91ae-41c0-9ec1-27438560bef6" name="Default" comment="">
      <change afterPath="$PROJECT_DIR$/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/config.properties" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/config.properties" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="config.properties" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/resources/config.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="486">
              <caret line="50" column="28" lean-forward="true" selection-start-line="50" selection-start-column="28" selection-end-line="50" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GradleLocalSettings">
    <option name="projectSyncType">
      <map>
        <entry key="$USER_HOME$/Desktop/PAAS中标部署/app-cloud-master" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/PAAS中标部署/dcw-mgmt-server-master" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/apiplatform_2.1.0.201809200314" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/dcw-mgmt-server" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/i慧湖/cmsApi" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/proto-firechat/mars" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/sh-server" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/张家港E管家项目/GIT/bike-h5-zjg" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/张家港E管家项目/GIT/egj-dataserver" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/张家港E管家项目/GIT/egj-epay-server" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/张家港E管家项目/GIT/egj-manager-server" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/张家港E管家项目/GIT/steward-epay" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/智慧党建/GIT/gd-event-service" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/智慧党建/GIT/gd-infomation" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/智慧党建/GIT/partyaffairs" value="PREVIEW" />
        <entry key="$USER_HOME$/Desktop/软著资料/dcw-mgmt-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/BigData/GIT/analysismgr" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/BigData/GIT/dataportal" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/analysismgr" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/cas" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/coupon-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/cspservice" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/dc-lcn" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/dc-tm-manager" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/dcw-boot" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/demoService" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/demoWebService" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/egj-manager-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/event-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/information-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/operationmgr" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/payment-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/points" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/securitycall" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/shopping-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/third-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/userservice" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/GIT/verifyserver" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/LCN事务管理器/GIT/test-tm-appa" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/LCN事务管理器/GIT/test-tm-appb" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/LCN事务管理器/GIT/test-tm-appc" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/developer/GIT/app-cloud" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/developer/GIT/dc-cas-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/developer/GIT/dc-cas-server/dc-cas-server-webapp" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/paycloud/GIT/dc-cas-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/dc-lcn" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/fescar-develop" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/fescar-samples-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/springboot-dubbo-fescar-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/tx-lcn-5.0.2.RELEASE" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/sample/txlcn-demo-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/北京网/GIT/sh-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/大数据平台/GIT/analyflume" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/大数据平台/GIT/analysismgr" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/大数据平台/GIT/dataportal" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/开发者门户/GIT/app-cloud" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/开发者门户/GIT/dcw-mgmt-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../LIGHTINIT/00-项目资料/05-公租房/GIT/housing-common" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../LIGHTINIT/00-项目资料/05-公租房/GIT/housing-datasync" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../LCN事务管理器/GIT/mrf-lcn" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../LCN事务管理器/GIT/mrf-tm-manager" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../daas/GIT/apiOutService" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../daas/GIT/apiService" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../developer/GIT/dcw-mgmt-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../framework/GIT/csp-commons" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../framework/GIT/dc-cas-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../framework/GIT/demoService" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../framework/GIT/mrf-boot" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../framework/GIT/mrf-cas-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/cas" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/cspservice" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/image" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/operationmgr" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/securitycall" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/third-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/userservice" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../platformBusiness/GIT/ytserver" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../product/鲜果多多/GIT/fruits-service" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/GradleSide-master/20-plugin-proguard" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/Installer-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/confusion-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/moco-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/proguard-spring-boot-example-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/sso-master/sso-client1" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/sso-master/sso-client2" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/sso-master/sso-server" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../sample/txlcn-demo-master" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../SR/framework/GIT/dcw-boot" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../TOOLS/lombok-intellij-plugin" value="PREVIEW" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/src/main/resources/config.properties" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="hsdataplatform" type="b2602c69:ProjectViewProjectNode" />
              <item name="hsdataplatform" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hsdataplatform" type="b2602c69:ProjectViewProjectNode" />
              <item name="hsdataplatform" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hsdataplatform" type="b2602c69:ProjectViewProjectNode" />
              <item name="hsdataplatform" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="hsdataplatform" type="b2602c69:ProjectViewProjectNode" />
              <item name="hsdataplatform" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <configuration name="Unnamed" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.0.30" ALTERNATIVE_JRE_ENABLED="false">
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="hsdataplatform:war">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_hsdataplatform" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="55419" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method>
        <option name="BuildArtifacts" enabled="true">
          <artifact name="hsdataplatform:war" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SbtLocalSettings">
    <option name="projectSyncType">
      <map>
        <entry key="$PROJECT_DIR$/../../../../DCW/BigData/GIT/NewSparkApp-MySQL" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../../../DCW/大数据平台/GIT/NewSparkApp-MySQL" value="PREVIEW" />
      </map>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="90014a4c-91ae-41c0-9ec1-27438560bef6" name="Default" comment="" />
      <created>1575595775012</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1575595775012</updated>
      <workItem from="1575595776311" duration="161000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="161000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" />
      <window_info anchor="bottom" id="FindBugs-IDEA" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Application Servers" weight="0.32969698" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info id="Capture Tool" />
      <window_info id="Designer" />
      <window_info anchor="right" id="Database" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.36969697" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" weight="0.32969698" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info id="Image Layers" />
      <window_info anchor="bottom" id="Java Enterprise" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Spring" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24964234" />
      <window_info anchor="right" id="Bean Validation" />
      <window_info id="Web" side_tool="true" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info id="Favorites" side_tool="true" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="22" lean-forward="true" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/config.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="486">
          <caret line="50" column="28" lean-forward="true" selection-start-line="50" selection-start-column="28" selection-end-line="50" selection-end-column="28" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>